Skip to main content

Management app

These operations (on Encedo PPA only) allow the build-in management application to be upgraded. This includes integrity and signature validation allowing only a legitimate application to be installed.

warning

Embedded Flash Drive is available on Encedo PPA only. On Encedo EPA those endpoints are not available, response code 404 will be returned.

Allowed usersUser✓Master✓ExtAuth✓
info

The Authorization header is not required on fresh, not personalized devices.

info

TLS connection is not required. It is a last resort way to upload fixes. Firmware is signed anyway, no worry about the integrity or genuineness.

Upload a file​

Upload a new file​

POSThttps://my.ence.do/api/system/upgrade/upload_ui
Required access scopesystem:upgrade

Upload a new app image (webroot.tar) file.

Headers​

NameTypeDescription
AuthorizationStringBearer JWT_TOKEN
Content-Type*Stringapplication/octet-stream
Content-Disposition*Stringattachment; filename="webroot.tar"
Expect*String100-continue

Response status code​

No response body.

Log entries​

EventResultSource
LOG_TYPE_FAILED_SCOPE_CHECKLOG_RESULT_FAILED403

Validate a file​

Check a file​

GEThttps://my.ence.do/api/system/upgrade/check_ui
Required access scopesystem:upgradealternative:system:config

Check the signature and integrity of the newly uploaded app image.

Headers​

NameTypeDescription
AuthorizationStringBearer JWT_TOKEN

Response status code​

No response body.

Log entries​

EventResultSource
LOG_TYPE_FAILED_SCOPE_CHECKLOG_RESULT_FAILED403

Install the new management app​

GEThttps://my.ence.do/api/system/upgrade/install_ui
Required access scopesystem:upgradealternative:system:config

A new version of Encedo Manager will be installed on Encedo PPA.

Headers​

NameTypeDescription
AuthorizationStringBearer JWT_TOKEN

Response status code​

No response body.

Log entries​

EventResultSource
LOG_TYPE_FAILED_SCOPE_CHECKLOG_RESULT_FAILED403
LOG_TYPE_UPGRADELOG_RESULT_ERROR406
LOG_TYPE_UPGRADELOG_RESULT_ERROR409
LOG_TYPE_UPGRADELOG_RESULT_OK200